using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class CompanyInfoDelete : DataAccessBase
	{
		public CompanyInfoDelete()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[CompanyInfoDelete]");
			ConfigParameter();
		}

		private SqlParameter paramCompanyID;
		public System.Int32 CompanyID
		{
			get
			{
				return (System.Int32)paramCompanyID.Value;
			}
			set
			{
				paramCompanyID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramCompanyID = new SqlParameter();
			paramCompanyID.ParameterName = "@CompanyID";
			paramCompanyID.SqlDbType = SqlDbType.Int;
			paramCompanyID.Precision = 10;
			paramCompanyID.Scale = 0;
			paramCompanyID.Direction = ParameterDirection.Input;
			paramCompanyID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCompanyID);
		}
	}
}